org.apache.ignite.internal.processors.metastorage

## Interface DistributedMetastorageLifecycleListener

All Known Implementing Classes:
  ClusterProcessor

    public interface DistributedMetastorageLifecycleListener

Listener for `DistributedMetaStorage` lifecycle events.

### Method Summary

All Methods Instance Methods Default Methods
`default void` `onReadyForRead(ReadableDistributedMetaStorage metastorage)` Called when global metastorage is ready for reading.
`default void` `onReadyForWrite(DistributedMetaStorage metastorage)` Called when global metastorage is available for writing.

### Method Detail

#### onReadyForRead

    default void onReadyForRead(ReadableDistributedMetaStorage metastorage)

Called when global metastorage is ready for reading.
Normally this is the place where you should add listeners and read required data. Note that this data might be outdated.

Parameters:
  `metastorage` - Read-only global metastorage.
See Also:
  `DistributedMetaStorageListener`

#### onReadyForWrite

    default void onReadyForWrite(DistributedMetaStorage metastorage)

Called when global metastorage is available for writing. In persistent mode this method will be invoked every time cluster is reactivated.

Parameters:
  `metastorage` - Global metastorage instance.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022